button.Button {
	border-color: transparent;
}

.ButtonGroup .Button {
	margin-left: 1rem;
}

.ButtonGroup--right {
	display: flex;
	justify-content: flex-end;
}
.ButtonGroup--center {
	display: flex;
	justify-content: center;
}
.ButtonGroup .Button:first-child {
	margin-left: 0;
}
.Button {
	text-decoration: none;
	border-radius: var(--border-radius);
	font-size: 1.1rem;
	padding: 0.3rem 0.6rem;
	align-items: center;
	box-sizing: border-box; /* 1 */
	cursor: pointer;
	display: inline-block;
	display: inline-flex;
	justify-content: center;
	line-height: 1;
	margin: 0;
	/* proper tap areas */
	min-height: 2.1em;
	padding: 0.6em;
	position: relative;
	text-align: center;
	user-select: none; /* 4 */
	background-color: transparent;

	border-width: 0.2rem;
	border-color: inherit;
	border-style: solid;
}
.Button:hover {
	border-color: var(--color-black);
}
.Button[disabled] {
	cursor: not-allowed;
	outline: 0.15rem dashed red;
	outline-offset: 0.2rem;
}
.Button--text {
	background-color: transparent;
	border-color: transparent;
}
.Button--rotate span {
	display: inline-block;
	transform: rotate(90deg)
}
.Button--contextualToggle {
	padding-top: 0.4rem;
	padding-bottom: 0.4rem;
	padding-right: 0rem;
	padding-left: 0.3rem;
	font-size: 1rem;
	letter-spacing: 1px;
	color: var(--color-green);
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 0;

	transition: 300ms border-color ease-in-out;
	border-width: 2px;
	border-color: transparent;
	border-radius: var(--border-radius);
	border-style: dotted;
	border-spacing: -3px;

}
.Button-contextualToggle span {
	user-select: none;
}
.Button--back {
	position: relative;
}
.Button--back:before {
	content: '↜';
	position: absolute;
	top: -0.9rem;
	left: -1.4rem;
	font-size: 1.6rem;
	color: var(--color-gray2)
}
.Button--color1 {
	border-color: var(--color-gray1);
	background-color: var(--color-gray1);
}
.Button--color2 {
	border-color: var(--color-turquoise);
	background-color: var(--color-turquoise);
}
.Button--style2 {
	border-color: var(--color-orchid);
	background-color: transparent;
}
.Button--color3 {
	border-color: var(--color-orchid);
	background-color: var(--color-orchid);
	color: white;
}
.Button--color4 {
	border-color: var(--color-cyan);
	background-color: var(--color-cyan);
}

.Button--hidden {
	display: none;
}
